filesr
Prev | Orchestra Opcodes and Operators | Next

## filesr

filesr — Returns the sample rate of a sound file.

## Description

Returns the sample rate of a sound file.

## Syntax

    ir filesr ifilcod [, iallowraw]

## Initialization

ifilcod -- sound file to be queried

iallowraw -- (Optional) Allow raw sound files (default=1)

## Performance

filesr returns the sample rate of the sound file ifilcod. filesr can return the sample rate of convolve and PVOC files if the iallowraw flag is not zero (it is non-zero by default).

## Examples

Here is an example of the filesr opcode. It uses the file filesr.csd, and mary.wav.

Example 150. Example of the filesr opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o filesr.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Print out the sampling rate of the
      ; audio file "mary.wav".
      isr filesr "mary.wav"
      print isr
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for 1 second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

The audio file “mary.wav” was sampled at 44.1 KHz. So filesr's output should include a line like this:

    instr 1:  isr = 44100.000

## See Also

filelen, filenchnls, filepeak

## Credits

Author: Matt Ingalls
July 1999

Example written by Kevin Conder.

New in Csound version 3.57

Prev | Up | Next
filepeak | Home | filter2